BaseJob (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.scheduler.server.session.BaseJob class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.scheduler.server.session
Class BaseJob

    java.lang.Object
      org.hyperic.hq.scheduler.server.session.BaseJob

All Implemented Interfaces:
  org.quartz.Job

Direct Known Subclasses:
  AIJob, ControlJob

    public abstract class BaseJob

extends java.lang.Object
implements org.quartz.Job

Field Summary
`protected org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal` | `manager`
`static java.lang.String` | `PROP_DESCRIPTION`
`static java.lang.String` | `PROP_ID`
`static java.lang.String` | `PROP_ORDER`
`static java.lang.String` | `PROP_SCHEDULED`
`static java.lang.String` | `PROP_SCHEDULESTRING`
`static java.lang.String` | `PROP_SUBJECT`
`static java.lang.String` | `PROP_TYPE`

Constructor Summary
`BaseJob()`

Method Summary
`void` | `execute(org.quartz.JobExecutionContext context)`
`abstract void` | `executeInSession(org.quartz.JobExecutionContext context)`
`protected int[]` | `getOrder(java.lang.String orderStr)` get the job order for the group
`protected AuthzSubject` | `getSubject(java.lang.Integer subjectId)`
`protected org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal` | `getSubjectManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_ID

    public static final java.lang.String PROP_ID

See Also:
  Constant Field Values

### PROP_TYPE

    public static final java.lang.String PROP_TYPE

See Also:
  Constant Field Values

### PROP_SUBJECT

    public static final java.lang.String PROP_SUBJECT

See Also:
  Constant Field Values

### PROP_SCHEDULED

    public static final java.lang.String PROP_SCHEDULED

See Also:
  Constant Field Values

### PROP_SCHEDULESTRING

    public static final java.lang.String PROP_SCHEDULESTRING

See Also:
  Constant Field Values

### PROP_ORDER

    public static final java.lang.String PROP_ORDER

See Also:
  Constant Field Values

### PROP_DESCRIPTION

    public static final java.lang.String PROP_DESCRIPTION

See Also:
  Constant Field Values

### manager

    protected org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal manager

Constructor Detail

### BaseJob

    public BaseJob()

Method Detail

### getSubjectManager

    protected org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal getSubjectManager()

### getSubject

    protected AuthzSubject getSubject(java.lang.Integer subjectId)
                               throws org.quartz.JobExecutionException

  Returns:
    the subject using the subject Id
  Throws:
    `org.quartz.JobExecutionException`

### getOrder

    protected int[] getOrder(java.lang.String orderStr)

  get the job order for the group

### execute

    public void execute(org.quartz.JobExecutionContext context)
                 throws org.quartz.JobExecutionException

  Specified by:
    `execute` in interface `org.quartz.Job`
  Throws:
    `org.quartz.JobExecutionException`

### executeInSession

    public abstract void executeInSession(org.quartz.JobExecutionContext context)
                                   throws org.quartz.JobExecutionException

  Throws:
    `org.quartz.JobExecutionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.